
import datetime
import uuid

from nsj_rest_lib.entity.entity_base import EntityBase
from nsj_rest_lib.decorator.entity import Entity


@Entity(
    table_name="ns.estabelecimentos",
    pk_field="estabelecimento",
    default_order_fields=["codigo"],
)
class EstabelecimentoEntity(EntityBase):
    estabelecimento: uuid.UUID = None
    tenant: int = None
    codigo: str = None
    descricao: str = None
    tipoidentificacao: int = None
    raizcnpj: str = None
    ordemcnpj: str = None
    cpf: str = None
    caepf: str = None
    cidade: str = None
    inscricaoestadual: str = None
    inscricaomunicipal: str = None
    nomefantasia: str = None
    email: str = None
    site: str = None
    tipologradouro: str = None
    logradouro: str = None
    numero: str = None
    complemento: str = None
    bairro: str = None
    cep: str = None
    tiposimples: int = None
    dddtel: str = None
    telefone: str = None
    dddfax: str = None
    fax: str = None
    bloqueado: int = None
    selecionarcfop: int = None
    ramoatividade: str = None
    qualificacao: int = None
    naturezapj: int = None
    anofiscal: int = None
    inicio_atividades: datetime.datetime = None
    final_atividades: datetime.datetime = None
    dataregistro: datetime.datetime = None
    suframa: str = None
    atividademunicipal: str = None
    atividadeestadual: str = None
    registro: str = None
    representante: str = None
    cpfrepresentante: str = None
    dddtelrepresentante: str = None
    telefonerepresentante: str = None
    ramalrepresentante: str = None
    dddfaxrepresentante: str = None
    faxrepresentante: str = None
    emailrepresentante: str = None
    caixapostal: str = None
    ufcaixapostal: str = None
    cepcaixapostal: str = None
    fpas: str = None
    acidentetrabalho: str = None
    numeroproprietarios: int = None
    numerofamiliares: int = None
    numeroconta: str = None
    tipopagamento: str = None
    codigoterceiros: str = None
    porte: int = None
    fazpartepat: bool = None
    aliquotafilantropica: float = None
    capitalsocial: float = None
    observacao: str = None
    pagapis: bool = None
    tipoconta: int = None
    inicioexercicio: datetime.datetime = None
    cei: str = None
    datanascimentorepresentante: datetime.datetime = None
    sexorepresentante: int = None
    contacorrentepagadora: str = None
    ibge: str = None
    cnae: str = None
    identificacaoregistro: int = None
    agencia: uuid.UUID = None
    contador: str = None
    empresa: uuid.UUID = None
    contribuinteipi: bool = None
    sindicato: uuid.UUID = None
    tipocontroleponto: int = None
    centralizacontribuicaosindical: bool = None
    nomecontato: str = None
    cpfcontato: str = None
    telefonefixocontato: str = None
    dddtelfixocontato: str = None
    telefonecelularcontato: str = None
    dddtelcelularcontato: str = None
    faxcontato: str = None
    dddfaxcontato: str = None
    emailcontato: str = None
    classificado: str = None
    excessosublimite: bool = None
    aliquotaaplicavel: float = None
    alelocodigopessoajuridica: int = None
    alelonumerofilial: int = None
    lastupdate: datetime.datetime = None
    nisrepresentante: str = None
    dataimplantacaosaldo: datetime.datetime = None
    regraponto: uuid.UUID = None
    centralizadorsefip: bool = None
    codigoexterno: str = None
    contribuinteicms: bool = None
    desabilitado_persona: bool = None
    estabelecimento_multinota: uuid.UUID = None
    id_centro_custo: uuid.UUID = None
    id_pessoa: uuid.UUID = None
    importacao_hash: str = None
    indicatiocontratacaoaprendiz: int = None
    indicativocontratacaopcd: int = None
    instituicaoeducativa: uuid.UUID = None
    matriz: bool = None
    periodoapuracaopontoproprio: bool = None
    processoaprendiz: uuid.UUID = None
    processocontratacaopcd: uuid.UUID = None
    processofap: uuid.UUID = None
    processorat: uuid.UUID = None
    tipocaepf: int = None
    geo_localizacao: str = None
    gestor: uuid.UUID = None
    identificacaonasajongestor: str = None
